package org.jeecg.modules.okki.account.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecg.common.aspect.annotation.Dict;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;

/**
 * @Description: 小二账号
 * @Author: jeecg-boot
 * @Date:   2024-05-22
 * @Version: V1.0
 */
@Data
@TableName("okki_account")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="okki_account对象", description="小二账号")
public class OkkiAccount implements Serializable {
    private static final long serialVersionUID = 1L;

    /**主键*/
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
    /**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
    /**创建日期*/
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
    /**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
    /**更新日期*/
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
    /**名称*/
    @Excel(name = "名称", width = 15)
    @ApiModelProperty(value = "名称")
    private java.lang.String name;
    /**邮箱账号*/
    @Excel(name = "邮箱账号", width = 15)
    @ApiModelProperty(value = "邮箱账号")
    private java.lang.String account;
    /**密码*/
    @Excel(name = "密码", width = 15)
    @ApiModelProperty(value = "密码")
    private java.lang.String password;
    /**手机号*/
    @Excel(name = "手机号", width = 15)
    @ApiModelProperty(value = "手机号")
    private java.lang.String phone;
    /**小二账号id*/
    @Excel(name = "小二账号id", width = 15)
    @ApiModelProperty(value = "小二账号id")
    private java.lang.Integer userId;
    /**关联站点*/
    @Excel(name = "关联站点", width = 15, dictTable = "okki_site", dicText = "company_name", dicCode = "site_id")
    @Dict(dictTable = "okki_site", dicText = "company_name", dicCode = "site_id")
    @ApiModelProperty(value = "关联站点")
    private java.lang.String siteIds;
    /**用户角色*/
    @Excel(name = "用户角色", width = 15, dicCode = "user_role")
    @Dict(dicCode = "user_role")
    @ApiModelProperty(value = "用户角色")
    private java.lang.Integer userRole;
    /**所属人员*/
    @Excel(name = "所属人员", width = 15, dictTable = "sys_user", dicText = "realname", dicCode = "username")
    @Dict(dictTable = "sys_user", dicText = "realname", dicCode = "username")
    @ApiModelProperty(value = "所属人员")
    private java.lang.String sysUserCode;
    /**状态*/
    @Excel(name = "状态", width = 15, dicCode = "account_status")
    @Dict(dicCode = "account_status")
    @ApiModelProperty(value = "状态")
    private java.lang.Integer status;
    /**
     * 删除状态（0，正常，1已删除）
     */
    @TableLogic
    private java.lang.Integer delFlag;
}
