package org.jeecg.modules.okki.showlist.mapper;

import java.util.List;
import org.jeecg.modules.okki.showlist.entity.OkkiOverview;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * @Description: 概览
 * @Author: jeecg-boot
 * @Date:   2024-07-08
 * @Version: V1.0
 */
public interface OkkiOverviewMapper extends BaseMapper<OkkiOverview> {

	/**
	 * 通过主表id删除子表数据
	 *
	 * @param mainId 主表id
	 * @return boolean
	 */
	public boolean deleteByMainId(@Param("mainId") String mainId);

  /**
   * 通过主表id查询子表数据
   *
   * @param mainId 主表id
   * @return List<OkkiOverview>
   */
	public List<OkkiOverview> selectByMainId(@Param("mainId") String mainId);
}
