package org.jeecg.modules.okki.siteuser.service.impl;

import org.jeecg.modules.okki.siteuser.entity.OkkiSiteUser;
import org.jeecg.modules.okki.siteuser.mapper.OkkiSiteUserMapper;
import org.jeecg.modules.okki.siteuser.service.IOkkiSiteUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description: okki_site_user
 * @Author: jeecg-boot
 * @Date:   2024-11-15
 * @Version: V1.0
 */
@Service
public class OkkiSiteUserServiceImpl extends ServiceImpl<OkkiSiteUserMapper, OkkiSiteUser> implements IOkkiSiteUserService {

    @Resource
    private OkkiSiteUserMapper okkiSiteUserMapper;

    /**
     * 获取站点用户信息
     * @return
     */
    @Override
    public List<OkkiSiteUser> getSiteUserInfoBySiteId(Integer siteId){
        return okkiSiteUserMapper.getSiteUserInfoBySiteId(siteId);
    }

    @Override
    public List<OkkiSiteUser> getSiteUserInfoByUserId(Integer userId){
        return okkiSiteUserMapper.getSiteUserInfoByUserId(userId);
    }
}
