package org.jeecg.modules.okki.wechatgroup.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.okki.wechatgroup.entity.OkkiShopWechatGroupMsg;

import java.util.List;

/**
 * @Description: okki_shop_wechat_group_msg
 * @Author: jeecg-boot
 * @Date: 2024-09-09
 * @Version: V1.0
 */
public interface OkkiShopWechatGroupMsgMapper extends BaseMapper<OkkiShopWechatGroupMsg> {

    /**
     * 获取站点列表
     *
     * @param siteId
     * @return
     */
    public List<OkkiShopWechatGroupMsg> getSiteWechatMsgList(String siteId);

    /**
     * 获取站点未回复的群消息
     *
     * @param siteId
     * @param days
     * @return
     */
    public List<OkkiShopWechatGroupMsg> getWechatNoReplySiteByDays(String siteId, Integer days);


    /**
     * 获取站点未回复的群消息
     *
     * @param siteId
     * @param days
     * @return
     */
    public List<OkkiShopWechatGroupMsg> getWechatNoReplySiteByHours(String siteId, Integer days, Double hours, List<String> enNames);

    /**
     * 获取站点最新消息
     *
     * @param siteId
     * @return
     */
    public List<OkkiShopWechatGroupMsg> getLatestWechatMsgList(String siteId, List<String> enNames);
}
