package org.jeecg.modules.okki.wechatgroup.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.okki.site.dto.WeChatMsgDto;
import org.jeecg.modules.okki.wechatgroup.entity.OkkiShopWechatGroupMsg;

import java.util.List;
import java.util.Map;

/**
 * @Description: okki_shop_wechat_group_msg
 * @Author: jeecg-boot
 * @Date: 2024-09-09
 * @Version: V1.0
 */
public interface IOkkiShopWechatGroupMsgService extends IService<OkkiShopWechatGroupMsg> {

    /**
     * 获取企业微信群消息
     *
     * @param siteId
     */
    public void getSiteWechatMsgMaxSeq(String siteId);

    /**
     * 获取站点未回复的群消息
     *
     * @param siteId
     * @return
     */
    public void getWechatNoReplySiteByDays(String siteId, Integer days);

    /**
     * 获取客户发送消息未回复的站点
     *
     * @param siteId
     * @param type
     */
    public void getNoReplyCustomerMsgByHours(String siteId, Integer days, String type);

    /**
     * 检测机器人或用户是否在群中
     */
    public void checkBotOrUserIsExistGroup();

    /**
     * 判断是否为工作日
     *
     * @return
     */
    public Map<String, Object> todayCheckWorkDay();

    /**
     * 根据站点ID获取站点信息
     *
     * @param weChatMsgDto
     * @return
     */
    public List<OkkiShopWechatGroupMsg> getSiteWechatMsgBySiteId(WeChatMsgDto weChatMsgDto);
}
